Main Page Namespaces Book

# Pango::AttrLanguage Class Reference

Inheritance diagram for Pango::AttrLanguage:

[legend]

List of all members.

## Detailed Description

A Pango::AttrLanguage is used to represent an attribute that is a language.

## Public Member Functions

| AttrLanguage (PangoAttrLanguage* castitem, bool take_copy=true)
| AttrLanguage (const AttrLanguage& src)
Language | get_language () const
| Gets the language which is the value of the attribute.
const PangoAttrLanguage* | gobj () const
| Provides access to the underlying C GObject.
PangoAttrLanguage* | gobj ()
| Provides access to the underlying C GObject.
AttrLanguage& | operator= (const AttrLanguage& src)
void | set_language (const Language& value)
| Sets the language which is the value of the attribute.

## Protected Member Functions

| AttrLanguage ()

## Related Functions

(Note that these are not member functions.)
Pango::AttrLanguage | wrap (PangoAttrLanguage* object, bool take_copy=false)

## Constructor & Destructor Documentation

Pango::AttrLanguage::AttrLanguage | ( |  | ) | `[protected]`

Pango::AttrLanguage::AttrLanguage | ( | const AttrLanguage& | src | ) |

Pango::AttrLanguage::AttrLanguage | ( | PangoAttrLanguage * | castitem,
|  | bool | take_copy = `true` |
| ) |  |  | `[explicit]`

## Member Function Documentation

Language Pango::AttrLanguage::get_language | ( |  | ) | const

Gets the language which is the value of the attribute.

Returns:
  The language tag of the attribute.

const PangoAttrLanguage* Pango::AttrLanguage::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

References Pango::Attribute::gobject_.

PangoAttrLanguage* Pango::AttrLanguage::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Pango::Attribute.

References Pango::Attribute::gobject_.

AttrLanguage& Pango::AttrLanguage::operator= | ( | const AttrLanguage& | src | ) |

void Pango::AttrLanguage::set_language | ( | const Language& | value | ) |

Sets the language which is the value of the attribute.

Parameters:

  | value | The new language tag for the attribute.

## Friends And Related Function Documentation

Pango::AttrLanguage wrap | ( | PangoAttrLanguage * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

The documentation for this class was generated from the following file:

- attributes.h